/**
 ******************************************************************************
 *
 * @file       setupwizardplugin.h
 * @author     The OpenPilot Team, http://www.openpilot.org Copyright (C) 2012.
 * @addtogroup GCSPlugins GCS Plugins
 * @{
 * @addtogroup SetupWizardPlugin
 * @{
 * @brief A Setup Wizard Plugin
 *****************************************************************************/
/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef SETUPWIZARDPLUGIN_H
#define SETUPWIZARDPLUGIN_H

#include <extensionsystem/iplugin.h>
#include <QWizard>
#include "setupwizard.h"

class SetupWizardPlugin : public ExtensionSystem::IPlugin {
    Q_OBJECT
                                                  Q_PLUGIN_METADATA(IID "OpenPilot.SetupWizard")

public:
    SetupWizardPlugin();
    ~SetupWizardPlugin();

    void extensionsInitialized();
    bool initialize(const QStringList & arguments, QString *errorString);
    void shutdown();

private slots:
    void showSetupWizard();
    void exportSettings();
    void wizardTerminated();

private:
    bool wizardRunning;
};

#endif // SETUPWIZARDPLUGIN_H
